Create Community List
Creates a new Community list on the Provider Gateway.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityLists
COPY
Path Parameters
string
externalNetworkId
Required
externalNetworkId
Request Body
ProviderGatewayCommunityList
of type(s)
application/json
Optional
{
"id": "string",
"name": "string",
"description": "string",
"communityCount": 0,
"bgpPermissionGroupRef": {
"id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"accessLevel": "string"
},
"communities": [
"3356:2040",
"NO_ADVERTISE",
"33:44:55"
],
"version": {
"version": 0
}
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name:"string""communities":["string"]}' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityLists
Availability
Added in 38.0
On This Page
Provider Gateway Community Lists Operations
GET
Get Community List Summaries
POST
Create Community List
GET
Get Community List
PUT
Update Community List
DELETE
Delete Community List